OpenTTD Source: CoreTextParagraphLayout::CoreTextVisualRun Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Private Attributes
CoreTextParagraphLayout::CoreTextVisualRun Class Reference

Visual run contains data about the bit of text with the same font. More...

Inheritance diagram for CoreTextParagraphLayout::CoreTextVisualRun:

## Public Member Functions
| CoreTextVisualRun (CTRunRef run, Font *font, const CoreTextParagraphLayoutFactory::CharType *buff)
| CoreTextVisualRun (CoreTextVisualRun &&other)=default
std::span< const GlyphID > | GetGlyphs () const override
std::span< const Position > | GetPositions () const override
std::span< const int > | GetGlyphToCharMap () const override
const Font * | GetFont () const override
int | GetLeading () const override
int | GetGlyphCount () const override
int | GetAdvance () const

## Private Attributes
std::vector< GlyphID > | glyphs
std::vector< Position > | positions
std::vector< int > | glyph_to_char
int | total_advance = 0
Font * | font

## Detailed Description

Visual run contains data about the bit of text with the same font.

Definition at line 71 of file string_osx.cpp.

## Constructor & Destructor Documentation

## ◆ CoreTextVisualRun()

CoreTextParagraphLayout::CoreTextVisualRun::CoreTextVisualRun | ( | CTRunRef | run,
|  | Font * | font,
|  | const CoreTextParagraphLayoutFactory::CharType * | buff
| ) |  |

Definition at line 231 of file string_osx.cpp.

## Member Function Documentation

## ◆ GetAdvance()

int CoreTextParagraphLayout::CoreTextVisualRun::GetAdvance | ( |  | ) | const
| inline

Definition at line 91 of file string_osx.cpp.

## ◆ GetFont()

const Font * CoreTextParagraphLayout::CoreTextVisualRun::GetFont | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 88 of file string_osx.cpp.

## ◆ GetGlyphCount()

int CoreTextParagraphLayout::CoreTextVisualRun::GetGlyphCount | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 90 of file string_osx.cpp.

## ◆ GetGlyphs()

std::span< const GlyphID > CoreTextParagraphLayout::CoreTextVisualRun::GetGlyphs | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 84 of file string_osx.cpp.

## ◆ GetGlyphToCharMap()

std::span< const int > CoreTextParagraphLayout::CoreTextVisualRun::GetGlyphToCharMap | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 86 of file string_osx.cpp.

## ◆ GetLeading()

int CoreTextParagraphLayout::CoreTextVisualRun::GetLeading | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 89 of file string_osx.cpp.

## ◆ GetPositions()

std::span< const Position > CoreTextParagraphLayout::CoreTextVisualRun::GetPositions | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 85 of file string_osx.cpp.

## Field Documentation

## ◆ font

Font* CoreTextParagraphLayout::CoreTextVisualRun::font
| private

Definition at line 78 of file string_osx.cpp.

## ◆ glyph_to_char

std::vector<int> CoreTextParagraphLayout::CoreTextVisualRun::glyph_to_char
| private

Definition at line 75 of file string_osx.cpp.

## ◆ glyphs

std::vector<GlyphID> CoreTextParagraphLayout::CoreTextVisualRun::glyphs
| private

Definition at line 73 of file string_osx.cpp.

## ◆ positions

std::vector<Position> CoreTextParagraphLayout::CoreTextVisualRun::positions
| private

Definition at line 74 of file string_osx.cpp.

## ◆ total_advance

int CoreTextParagraphLayout::CoreTextVisualRun::total_advance = 0
| private

Definition at line 77 of file string_osx.cpp.

The documentation for this class was generated from the following file:

- src/os/macosx/string_osx.cpp